package modelo;
/*
 * 
 * 		---------------------------------------------------
 * 					Juego Pumba
 * 
 * 			Autor: Alejandro Raposo Lpez
 * 		--------------------------------------------------
 * 
 */

public class Carta {
	
	private char palo;
	private int numero;
	
	public Carta(int n, char p){
		/**
		 *Palos: 
		 *	o: Oro
		 *	c: Copas
		 *	e: Espadas
		 *	b: Bastos
		 */
		palo=p;
		numero=n;
	}
	
	//Carta por defecto
	public Carta(){
		palo='o';
		numero=1;
	}
	
	public char getPalo(){
		return palo;
	}
	public int getNumero(){
		return numero;
	}
	public void setPalo(char p){
		palo=p;
	}
	public void setNumero(int n){
		numero=n;
	}
	
	public String toString(){
		String s=new String();
		
		switch(numero){
		
		case 11:
			s+="Sota-";
			break;
		case 12:
			s+="Caballo-";
			break;
		case 13:
			s+="Rey-";
			break;
		default:
			s+=numero+"-";
		}

		if(palo=='o')
			s+="Oro";
		if(palo=='c')
			s+="Copas";
		if(palo=='e')
			s+="Espadas";
		if(palo=='b')
			s+="Bastos";
		
		return s;
	}
	
	public boolean equals(Object o){
		Carta c = (Carta)o;		
		return this.getNumero()==c.getNumero() && this.getPalo()==c.getPalo();		
	}

}
