package vista;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.FlowLayout;
import java.awt.GridLayout;
import java.util.List;

import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;

public class Clasificacion extends JDialog {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private final JPanel contentPanel = new JPanel();
	public JLabel lblPosicion_1;
	public JLabel lblPosicion_2;
	public JLabel lblPosicion_3;
	public JLabel lblPosicion_4;
	public JLabel lblGanador1;
	public JLabel lblGanador2;
	public JLabel lblGanador3;
	public JLabel lblGanador4;

	public Clasificacion() {
		setAlwaysOnTop(true);
		setResizable(false);
		setTitle("Clasificaci\u00F3n");
		setBounds(100, 100, 450, 300);
		getContentPane().setLayout(new BorderLayout());
		contentPanel.setBackground(new Color(0, 128, 0));
		contentPanel.setBorder(new EmptyBorder(5, 5, 5, 5));
		getContentPane().add(contentPanel, BorderLayout.CENTER);
		contentPanel.setLayout(new GridLayout(4, 2, 0, 0));
		{
			 lblPosicion_1 = new JLabel("1\u00AA Posici\u00F3n");
			lblPosicion_1.setIcon(new ImageIcon(Clasificacion.class
					.getResource("/resources/corona-oro.jpg")));
			contentPanel.add(lblPosicion_1);
		}
		{
			lblGanador1 = new JLabel("");
			contentPanel.add(lblGanador1);
		}
		{
			lblPosicion_2 = new JLabel("2\u00AA Posici\u00F3n");
			lblPosicion_2.setIcon(new ImageIcon(Clasificacion.class
					.getResource("/resources/corona-plata.jpg")));
			contentPanel.add(lblPosicion_2);
		}
		{
			lblGanador2 = new JLabel("");
			contentPanel.add(lblGanador2);
		}
		{
			lblPosicion_3 = new JLabel("3\u00AA Posici\u00F3n");
			lblPosicion_3.setIcon(new ImageIcon(Clasificacion.class
					.getResource("/resources/corona-bronce.jpg")));
			contentPanel.add(lblPosicion_3);
		}
		{
			lblGanador3 = new JLabel("");
			contentPanel.add(lblGanador3);
		}
		{
			lblPosicion_4 = new JLabel("4\u00AA Posici\u00F3n");
			lblPosicion_4.setIcon(new ImageIcon(Clasificacion.class
					.getResource("/resources/mencion.jpg")));
			contentPanel.add(lblPosicion_4);
		}
		{
			lblGanador4 = new JLabel("");
			contentPanel.add(lblGanador4);
		}
		{
			JPanel buttonPane = new JPanel();
			buttonPane.setBackground(new Color(0, 128, 0));
			buttonPane.setLayout(new FlowLayout(FlowLayout.RIGHT));
			getContentPane().add(buttonPane, BorderLayout.SOUTH);
			{
				JButton okButton = new JButton("Cerrar");
				okButton.setActionCommand("OK");
				buttonPane.add(okButton);
				getRootPane().setDefaultButton(okButton);
			}
		}
		
	}
	
	public void clasificar(List<String> clasif){
		lblGanador1.setText(clasif.get(0));
		lblGanador2.setText(clasif.get(1));
		lblGanador3.setText(clasif.get(2));
		lblGanador4.setText(clasif.get(3));
	}

}
